<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Progress.aspx.cs" Inherits="TopWinCMS.WebUI.Admin.ContentRelease.Progress" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>生成进度</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Pragma" content="no-cache" />

    <script language="javascript" type="text/javascript" src="../TopWin.js"></script>

    <link rel="stylesheet" type="text/css" href="../Style.css" />
     <link rel="stylesheet" type="text/css" href="Progress.css" />

    <script type="text/javascript" language="javascript">
    function PercentChange(PageCount,PageTotal,KongJian)
    {   
 
        $(KongJian).style.width = PageCount * (600/PageTotal)+"px";
        $(KongJian).innerText = (PageCount/PageTotal *100).toPrecision(4).toString()+"%";
        $(KongJian).title =  "当前进度量：" + PageCount;
        $("ProgressNum").innerText=PageCount;
        $("ProgressTotal").innerText=PageTotal;
        
        if(PageCount>0 && PageCount!=PageTotal)
        {
             $("Message").innerText="正在生成" ;
        }
        if(PageCount==PageTotal)
        {
             $("Message").innerText="生成完成" ;
        }
    } 
    function Message(str)
    {
        $("Message").innerText=str; 
    }
    </script>

    <script language="javascript" type="text/javascript" src="../../Images/skysoft.js"></script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" AsyncPostBackTimeout="90000">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:Timer ID="Timer1" runat="server" OnTick="Timer1_Tick" Interval="3000">
            </asp:Timer>
            <div class="Column">
                <div class="Progress" id="Bar1">
                </div>
            </div>
            <br />
            <br />
            <br />
            <div style="text-align: center; font-weight: bold;">
                <div id="Message">
                </div>
                <span id="ProgressNum">0</span> / <span id="ProgressTotal">0</span></div>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
